Get details of Employees
curl --request GET \
--url https://api.birdeye.com/resources/v1/employee/{businessId}import requests
url = "https://api.birdeye.com/resources/v1/employee/{businessId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.birdeye.com/resources/v1/employee/{businessId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"firstName": "sachin",
"lastName": "birdeye",
"emailId": "sachin@birdeye.com",
"phone": "",
"imageUrl": ""
},
{
"firstName": "Kailash",
"lastName": "Yadav",
"emailId": "kailash12121@gmail.com",
"phone": "(989) 898-9898",
"imageUrl": "employees/574549fb79cff9.54677638.jpg"
},
{
"firstName": "Kailash",
"lastName": "Yadav",
"emailId": "1213@gmail.com",
"phone": "(989) 898-9898",
"imageUrl": "http://d2xt3xymj142xp.cloudfront.net/169830616/573db5844e0e66.08202399.png"
}
]{
"code": 1161,
"message": "Invalid API key"
}{
"code": 1011,
"message": "Business id is invalid"
}{
"code": 89,
"message": "Rate limit exceeded"
}Employee
Get
Get details of Employees is a lite version API that retrieves a sorted list of all active employees for an account.
GET
/
v1
/
employee
/
{businessId}
Get details of Employees
Headers
e.g. application/json
e.g. [Required] Partner specific API key provided by Birdeye for data exchange.
Path Parameters
Id of the Business.
⌘I